# applyDamageToPokemon | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Function applyDamageToPokemon

- applyDamageToPokemon(pokemon: PlayerPokemon , damage: number): void

  Handles applying damage to a player pokemon

  #### Parameters

  - pokemon: PlayerPokemon

    the player pokemon to apply damage to

  - damage: number

    the amount of damage to apply

  #### Returns void

  #### See

  applyHpChangeToPokemon

  - Defined in src/data/mystery-encounters/utils/encounter-pokemon-utils.ts:343